BenhVien/BenhVien.UI/Controllers/BenhController.cs
using BASICAUTHORIZE.AGRICH;
using BenhVien.MODEL;
using BenhVien.UI.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace BenhVien.UI.Controllers
{
    [RouteArea("QuanTri", AreaPrefix = "admin")]
    [Route("{action}")]
    public class BenhController : Controller
    {
        public BenhVienEntities db = new BenhVienEntities();
        [Route("benh/main-page")]
        public ActionResult MainPage()
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });
            return View();
        }
        [Route("benh/list")]
        public ActionResult List(string keyword = "", int? status = EnumStatus.ACTIVE, int sotrang = 1, int tongsodong = 5)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            if (keyword != "")
                keyword = keyword.BoDauTiengViet().ToLower();

            var list = (from a in db.Benhs.ToList()
                        where (keyword == "" || (keyword != "" && (a.Ten.BoDauTiengViet().ToLower().Contains(keyword))
                        || (a.MaBenhICD.BoDauTiengViet().ToLower().Contains(keyword))
                        )
                        )
                        && (status == null ? true : a.TrangThaiID == status)
                        select a).OrderBy(x => x.Id);

            int tongso = list.Count();

            sotrang = sotrang <= 0 ? 1 : sotrang;
            tongsodong = tongsodong <= 0 ? 10 : tongsodong;
            int tongsotrang = tongso % tongsodong > 0 ? tongso / tongsodong + 1 : tongso / tongsodong;
            tongsotrang = tongsotrang <= 0 ? 1 : tongsotrang;
            sotrang = sotrang > tongsotrang ? tongsotrang - 1 : sotrang - 1;
            ViewBag.sotrang = sotrang + 1;
            ViewBag.tongsotrang = tongsotrang;
            ViewBag.tongso = tongso;
            return PartialView(list == null ? list : list.Skip(sotrang * tongsodong).Take(tongsodong));
        }
        [Route("benh/update")]
        public ActionResult Update(int? id = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            var benh = db.Benhs.FirstOrDefault(x => x.Id == id);
            return PartialView(benh);
        }
        [Route("benh/update")]
        [HttpPost, ValidateInput(false)]
        public ActionResult Update(Benh benh, HttpPostedFileBase _Logo = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });
            if (benh.Id == 0)
            {
                db.Benhs.Add(benh);
                db.SaveChanges();
                return Json(new { kq = "ok", msg = "Success!" }, JsonRequestBehavior.AllowGet);
            }
            else
            {
                // up date
                var old = db.Benhs.FirstOrDefault(x => x.Id == benh.Id);
                if (old == null)
                    return Json(new { kq = "err", msg = "Thông tin không xác định!" }, JsonRequestBehavior.AllowGet);
                old.Ten = benh.Ten;
                old.MaBenhICD = benh.MaBenhICD;
                old.TrangThaiID = benh.TrangThaiID;
                db.SaveChanges();
                return Json(new { kq = "ok", msg = "Success!" }, JsonRequestBehavior.AllowGet);
            }
        }


        [Route("benh/delete")]
        public ActionResult Delete(int? id = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            var benh = db.Benhs.FirstOrDefault(x => x.Id == id);
            if (benh == null)
                return Json(new { kq = "err", msg = "Không xác định!" }, JsonRequestBehavior.AllowGet);

            db.Benhs.Remove(benh);
            db.SaveChanges();
            return Json(new { kq = "ok", msg = "Thành công!" }, JsonRequestBehavior.AllowGet);
        }

        [Route("benh/change-status")]
        public ActionResult Change_Status(int? id = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            var benh = db.Benhs.FirstOrDefault(x => x.Id == id);
            if (benh == null)
                return Json(new { kq = "err", msg = "Không xác định!" }, JsonRequestBehavior.AllowGet);

            if (benh.TrangThaiID == EnumStatus.ACTIVE)
                benh.TrangThaiID = EnumStatus.INACTIVE;
            else
                benh.TrangThaiID = EnumStatus.ACTIVE;
            db.SaveChanges();
            return Json(new { kq = "ok", data = benh.TrangThaiID, msg = "Success!" }, JsonRequestBehavior.AllowGet);
        }
    }
}

BenhVien/BenhVien.UI/Controllers/KhoaController.cs
using BASICAUTHORIZE.AGRICH;
using BenhVien.MODEL;
using BenhVien.UI.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace BenhVien.UI.Controllers
{
    [RouteArea("QuanTri", AreaPrefix = "admin")]
    [Route("{action}")]
    public class KhoaController : Controller
    {
        public BenhVienEntities db = new BenhVienEntities();
        [Route("khoa/main-page")]
        public ActionResult MainPage()
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });
            return View();
        }
        [Route("khoa/list")]
        public ActionResult List(string keyword = "", int? status = EnumStatus.ACTIVE, int sotrang = 1, int tongsodong = 5)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            if (keyword != "")
                keyword = keyword.BoDauTiengViet().ToLower();

            var list = (from a in db.Khoas.ToList()
                        where (keyword == "" || (keyword != "" && (a.Ten.BoDauTiengViet().ToLower().Contains(keyword))
                        || (a.DiaChi.BoDauTiengViet().ToLower().Contains(keyword))
                        || (a.SDT.BoDauTiengViet().ToLower().Contains(keyword))
                        )
                        )
                        && (status == null ? true : a.TrangThaiID == status)
                        select a).OrderBy(x => x.Id).ToList();

            int tongso = list.Count();

            sotrang = sotrang <= 0 ? 1 : sotrang;
            tongsodong = tongsodong <= 0 ? 10 : tongsodong;
            int tongsotrang = tongso % tongsodong > 0 ? tongso / tongsodong + 1 : tongso / tongsodong;
            tongsotrang = tongsotrang <= 0 ? 1 : tongsotrang;
            sotrang = sotrang > tongsotrang ? tongsotrang - 1 : sotrang - 1;
            ViewBag.sotrang = sotrang + 1;
            ViewBag.tongsotrang = tongsotrang;
            ViewBag.tongso = tongso;
            return PartialView(list == null ? list : list.Skip(sotrang * tongsodong).Take(tongsodong));
        }
        [Route("khoa/update")]
        public ActionResult Update(int? id = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            var khoa = db.Khoas.FirstOrDefault(x => x.Id == id);
            return PartialView(khoa);
        }
        [Route("khoa/update")]
        [HttpPost, ValidateInput(false)]
        public ActionResult Update(Khoa khoa, HttpPostedFileBase _Logo = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });
            if (khoa.Id == 0)
            {
                db.Khoas.Add(khoa);
                db.SaveChanges();
                return Json(new { kq = "ok", msg = "Success!" }, JsonRequestBehavior.AllowGet);
            }
            else
            {
                // up date
                var old = db.Khoas.FirstOrDefault(x => x.Id == khoa.Id);
                if (old == null)
                    return Json(new { kq = "err", msg = "Thông tin không xác định!" }, JsonRequestBehavior.AllowGet);
                old.Ten = khoa.Ten;
                old.DiaChi = khoa.DiaChi;
                old.SDT = khoa.SDT;
                old.TrangThaiID = khoa.TrangThaiID;
                db.SaveChanges();
                return Json(new { kq = "ok", msg = "Success!" }, JsonRequestBehavior.AllowGet);
            }
        }


        [Route("khoa/delete")]
        public ActionResult Delete(int? id = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            var khoa = db.Khoas.FirstOrDefault(x => x.Id == id);
            if (khoa == null)
                return Json(new { kq = "err", msg = "Không xác định!" }, JsonRequestBehavior.AllowGet);

            db.Khoas.Remove(khoa);
            db.SaveChanges();
            return Json(new { kq = "ok", msg = "Thành công!" }, JsonRequestBehavior.AllowGet);
        }

        [Route("khoa/change-status")]
        public ActionResult Change_Status(int? id = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN))
                return RedirectToAction("Index", "Home", new { area = "" });

            var khoa = db.Khoas.FirstOrDefault(x => x.Id == id);
            if (khoa == null)
                return Json(new { kq = "err", msg = "Không xác định!" }, JsonRequestBehavior.AllowGet);

            if (khoa.TrangThaiID == EnumStatus.ACTIVE)
                khoa.TrangThaiID = EnumStatus.INACTIVE;
            else
                khoa.TrangThaiID = EnumStatus.ACTIVE;
            db.SaveChanges();
            return Json(new { kq = "ok", data = khoa.TrangThaiID, msg = "Success!" }, JsonRequestBehavior.AllowGet);
        }
    }
}

BenhVien/BenhVien.UI/Views/Shared/_Footer.cshtml
 

<!-- Footer -->
<div class="footer">
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="footer-col">
                    <h4>About Leno</h4>
                    <p>We're passionate about creating the best mobile apps for personal development</p>
                </div>
            </div> <!-- end of col -->
            <div class="col-md-4">
                <div class="footer-col middle">
                    <h4>Important Links</h4>
                    <ul class="list-unstyled li-space-lg">
                        <li class="media">
                            <i class="fas fa-square"></i>
                            <div class="media-body">Our business partners <a class="turquoise" href="#your-link">startupguide.com</a></div>
                        </li>
                        <li class="media">
                            <i class="fas fa-square"></i>
                            <div class="media-body">Read our <a class="turquoise" href="terms-conditions.html">Terms & Conditions</a>, <a class="turquoise" href="privacy-policy.html">Privacy Policy</a></div>
                        </li>
                    </ul>
                </div>
            </div> <!-- end of col -->
            <div class="col-md-4">
                <div class="footer-col last">
                    <h4>Social Media</h4>
                    <span class="fa-stack">
                        <a href="#your-link">
                            <i class="fas fa-circle fa-stack-2x"></i>
                            <i class="fab fa-facebook-f fa-stack-1x"></i>
                        </a>
                    </span>
                    <span class="fa-stack">
                        <a href="#your-link">
                            <i class="fas fa-circle fa-stack-2x"></i>
                            <i class="fab fa-twitter fa-stack-1x"></i>
                        </a>
                    </span>
                    <span class="fa-stack">
                        <a href="#your-link">
                            <i class="fas fa-circle fa-stack-2x"></i>
                            <i class="fab fa-google-plus-g fa-stack-1x"></i>
                        </a>
                    </span>
                    <span class="fa-stack">
                        <a href="#your-link">
                            <i class="fas fa-circle fa-stack-2x"></i>
                            <i class="fab fa-instagram fa-stack-1x"></i>
                        </a>
                    </span>
                    <span class="fa-stack">
                        <a href="#your-link">
                            <i class="fas fa-circle fa-stack-2x"></i>
                            <i class="fab fa-linkedin-in fa-stack-1x"></i>
                        </a>
                    </span>
                </div>
            </div> <!-- end of col -->
        </div> <!-- end of row -->
    </div> <!-- end of container -->
</div> <!-- end of footer -->
<!-- end of footer -->
<!-- Copyright -->
<div class="copyright">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <p class="p-small">Copyright © 2020 <a href="https://inovatik.com">Inovatik</a> - All rights reserved</p>
            </div> <!-- end of col -->
        </div> <!-- enf of row -->
    </div> <!-- end of container -->
</div> <!-- end of copyright -->
<!-- end of copyright -->
<!-- Scripts -->

BenhVien/BenhVien.UI/Views/Shared/_NavShared.cshtml
<header class="header-area" id="home-page">
    <div class="over-background"></div>
    <div class="col-md-12 navbar-home">
        <div class="container">
            <div class="row text-right">
                <div class="col-md-9 col-sm-6 col-xs-6"></div>
                <div class="col-md-3 col-sm-6 col-xs-6">
                    <a class="" style="cursor:pointer;" onclick="javascript: $('#modal-login').load('@Url.Action("Register","Account", new { area=""})', function (e) { $('#modal-login').modal('show'); });"> <img src="~/Libs/theme/theme/css/images/user-login-button.png" title="Đăng ký" alt="Đăng ký" />Đăng ký</a>
                </div>
            </div>
        </div>
    </div>
    <div class="header-home">
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center">
                    <img src="/Libs/theme/theme/css/images/logo-header.png" title="" alt="" />
                </div>
                <div class="col-md-12 text-center">
                    <h1 class="title-home-header white">BỐN MÙA AZ RESTAURANT</h1>
                </div>
                <div class="col-md-12 text-center">
                    <p class="sub-title-home white">
                        Bốn mùa AZ Restaurant là sự lựa chọn hoàn hảo khi kết hợp hàng loạt các <br> món ăn ngon từ nướng, chiên, xào, lẩu, hải sản hay các đặc sản
                        <br>Tây Nguyên
                    </p>
                </div>
                <div class="col-md-12 text-center">
                    <a class="login-home" style="cursor:pointer;" onclick="javascript: $('#modal-login').load('@Url.Action("Login_Member","Account", new { area=""})', function (e) { $('#modal-login').modal('show'); });"> Đăng nhập</a>
                </div>
            </div>
        </div>
    </div>
</header>

BenhVien/BenhVien.UI/Views/Shared/_NavShared_Admin.cshtml
@using BenhVien.UI.Models
@{

    UserInfo nd_dv = (UserInfo)Session["NguoiDung"];

}
<div class="col-md-3 left_col">
    <div class="left_col scroll-view">
        <div class="navbar nav_title" style="border: 0;">
            <a href="@Url.Action("MainPage", "Dashboard", new { area = "QuanTri" })" class="site_title"><i class="fa fa-home"></i> <span>QUẢN TRỊ</span></a>
        </div>
        <div class="clearfix"></div>
        <!-- menu profile quick info -->
        <div class="profile clearfix">
            <div class="profile_pic">
                <img src="@(!string.IsNullOrEmpty(nd_dv.User.Avatar) ? nd_dv.User.Avatar.Replace("~/", "/") : "/Files/images/default/user_empty.jpg")" alt="@nd_dv.User.HoTen" class="img-circle profile_img">
            </div>
            <div class="profile_info">
                <span>Xin chào,</span>
                <h2>@nd_dv.User.HoTen</h2>
            </div>
        </div>
        <!-- /menu profile quick info -->
        <br />
        <!-- sidebar menu -->
        <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
            <div class="menu_section">
                <ul class="nav side-menu">
                    @*<li class="mn-dashboard"><a href="@Url.Action("MainPage", "Dashboard", new { area = "QuanTri" })"><i class="fa fa-building-o"></i> Dashboard </a></li>*@
                    @if (nd_dv.User.LoaiNguoiDung == EnumUserType.ADMIN || nd_dv.User.LoaiNguoiDung == EnumUserType.SUB_ADMIN)
                    {
                        <li class="mn-user"><a href="@Url.Action("MainPage","NguoiDung", new { area="QuanTri"})"><i class="fa fa-user"></i>Thành viên</a></li>
                        <li class="mn-khoa"><a href="@Url.Action("MainPage","Khoa", new { area="QuanTri"})"><i class="fa fa-compress"></i>Khoa</a></li>
                        <li class="mn-phong"><a href="@Url.Action("MainPage","Phong", new { area="QuanTri"})"><i class="fa fa-table"></i>Phòng bệnh</a></li>
                        <li class="mn-giuong"><a href="@Url.Action("MainPage","Giuong", new { area="QuanTri"})"><i class="fa fa-laptop"></i>Giường bệnh</a></li>
                        <li class="mn-thuoc"><a href="@Url.Action("MainPage","Thuoc", new { area="QuanTri"})"><i class="fa fa-sliders"></i>Thuốc</a></li>
                        <li class="mn-benh"><a href="@Url.Action("MainPage","Benh", new { area="QuanTri"})"><i class="fa fa-level-up"></i>Bệnh</a></li>
                        <li class="mn-homepage mn-services mn-loaidichvu mn-dichvu">
                            <a><i class="fa fa-toggle-off"></i>Dịch vụ<span class="fa fa-chevron-down"></span></a>
                            <ul class="nav child_menu">
                                <li class="mn-loaidichvu"><a href="@Url.Action("MainPage","DanhMucDichVu", new { area="QuanTri"})">Danh mục dịch vụ</a></li>
                                <li class="mn-dichvu"><a href="@Url.Action("MainPage","DichVu", new { area="QuanTri"})">Dịch vụ</a></li>
                            </ul>
                        </li>
                        <li class="mn-dangky"><a href="@Url.Action("DangKy","KhamBenh", new { area="QuanTri"})"><i class="fa fa-newspaper-o"></i>Đăng kí khám bệnh</a></li>
                        <li class="mn-nhapvien"><a href="@Url.Action("MainPage","NhapVien", new { area="QuanTri"})"><i class="fa fa-hospital-o"></i>Nhập viện</a></li>
                        <li class="mn-donthuoc"><a href="@Url.Action("MainPage","DonThuoc", new { area="QuanTri"})"><i class="fa fa-sliders"></i>Đơn thuốc</a></li>
                        <li class="mn-sudungdichvu"><a href="@Url.Action("MainPage","CanLamSang", new { area="QuanTri"})"><i class="fa fa-level-up"></i>Cận lâm sàng</a></li>
                    }
                    else
                    {
                        <li class="mn-dangky"><a href="@Url.Action("DangKy","KhamBenh", new { area="QuanTri"})"><i class="fa fa-newspaper-o"></i>Đăng kí khám bệnh</a></li>
                        <li class="mn-nhapvien"><a href="@Url.Action("MainPage","NhapVien", new { area="QuanTri"})"><i class="fa fa-hospital-o"></i>Nhập viện</a></li>
                    }


                </ul>
            </div>
        </div>
        <!-- /sidebar menu -->
    </div>
</div>
<!-- top navigation -->
<div class="top_nav">
    <div class="nav_menu">
        <nav>
            <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
            </div>
            <ul class="nav navbar-nav navbar-right">
                <li class="">
                    <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                      @nd_dv.User.HoTen
                        <span class="fa fa-angle-down"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-usermenu pull-right">
                        <li><a href="@Url.Action("Info","NguoiDung", new { area = "QuanTri", id= nd_dv.User.Id})"> Thông tin cá nhân</a></li>
                        <li>
                            <a class="" style="cursor:pointer;padding-right:10px;" onclick="javascript: $('#modal-qltaikhoan').load('@Url.Action("Change_Password","Home",new { area="" })', function (e) { $('#modal-qltaikhoan').modal('show'); });"> Đổi mật khẩu</a>
                        </li>

                        <li>
                            <a class="" style="cursor:pointer;padding-right:10px;" onclick="javascript: $('#modal-qltaikhoan').load('@Url.Action("Config","Home",new { area="" })', function (e) { $('#modal-qltaikhoan').modal('show'); });">Cấu hình</a>
                        </li>

                        <li><a href="@Url.Action("Logout","Home", new { area = ""})"><i class="fa fa-sign-out pull-right"></i> Đăng xuất</a></li>
                    </ul>
                </li>
                @*<li role="presentation" class="nav-item dropdown">
                        <a href="javascript:;" class="dropdown-toggle info-number" id="navbarDropdown1" data-toggle="dropdown" aria-expanded="false">
                            <i class="fa fa-envelope-o"></i>
                            <span class="badge bg-green">0</span>
                        </a>
                        <ul class="dropdown-menu list-unstyled msg_list" role="menu" aria-labelledby="navbarDropdown1" x-placement="bottom-start" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(-138px, 17px, 0px);">
                            <li class="nav-item">
                                <a class="dropdown-item">
                                    <span class="image"><img src="images/img.jpg" alt="Profile Image"></span>
                                    <span>
                                        <span>John Smith</span>
                                        <span class="time">3 mins ago</span>
                                    </span>
                                    <span class="message">
                                        Film festivals used to be do-or-die moments for movie makers. They were where...
                                    </span>
                                </a>
                            </li>
                        </ul>
                    </li>*@
            </ul>
        </nav>
    </div>
</div>
<!-- /top navigation -->